/**
 *
 */
package de.intevation.gnv.artifactdatabase.client;

import org.apache.log4j.Logger;

/**
 * @author Tim Englich <tim.englich@intevation.de>
 *
 */
public class ArtifactDatabaseClientFactory {


    
    /**
     * the logger, used to log exceptions and additonaly information
     */
    private static Logger log = Logger.getLogger(ArtifactDatabaseClientFactory.class);

    
    /**
     * The singleton Instance of this Factory.
     */
    private static ArtifactDatabaseClientFactory instance = null;

    /**
     * Constructor
     */
    private ArtifactDatabaseClientFactory() {
        super();
    }

    /**
     * This Method provides an singleton Instance of this Class.
     * @return an singleton Instance of this Class
     */
    public static ArtifactDatabaseClientFactory getInstance(){
        if (instance == null){
            instance = new ArtifactDatabaseClientFactory();
        }
        return instance;
    }
    
    
    /**
     * Getting the ArtifactDatabaseClient
     * @return the ArtifactDatabaseClient
     */
    public ArtifactDatabaseClient getArtifactDatabaseClient(){
        //TODO Read from Configuration?
        return new DefaultArtifactDatabaseClient();
    }
   

}
